*** 1.1.0 2011-04-17 ***
[2009-02-22] Upgraded the DC++ core to 0.707, adding segmented downloading (thanks Razzloss).
[2009-02-28] Upgraded the DC++ core to 0.7091.
[2009-03-02] Fixed building with SCons 0.97.
[2009-03-02] Removed extra placeholders from settingsdialog experts -tab, which caused some alignment problems with spinboxes and related labels.
[2009-03-09] Removed the only op check box from search tab and cleared the UI. It is now indicated better that filter already in share depends on local filtering.
[2009-03-29] lp#350738: Hub::selectedTag is not updated in some cases (thanks Eric Toombs).
[2009-03-29] lp#318593: Show online status in PM (thanks Bart Vullings).
[2009-04-01] lp#271565: Add missing user command variables (thanks Bart Vullings).
[2009-04-05] lp#353889: Readme.txt missing libboost dependency.
[2009-05-04] lp#362878: Compilation fix for Mac OS X (thanks Ximin Luo).
[2009-05-08] Rewrote Transfers view. (Razzloss)
[2009-05-08] lp#264304: Fixed "Time Left" column in transfers from not updating properly. (Razzloss)
[2009-05-08] lp#337480: Fixed "User" and "Hub Name" column in transfers from not updating properly. (Razzloss)
[2009-05-08] lp#373900: Fixed compilation error introduced by transfer view rewrite. (Steven)
[2009-05-15] lp#376869: Fixed exit and about dialogs from appearing as top-level windows. (Steven)
[2009-06-16] lp#311477: Added SVG icon support via freedesktop.org's Icon Theme Specification. (Steven)
[2009-06-16] Added option "Use system icons" in case system icons are preferred. (Steven)
[2009-06-16] Removed unnecessary "Connect" and "Quit" buttons from main toolbar. (Steven)
[2009-06-16] lp#382592: Fixed adding remote files to share. (Steven)
[2009-06-18] lp#388792: Fixed missing status icon in the notification area. (Steven)
[2009-06-23] lp#375847: Added auto-connect checkbox to favorite hub properties. (Steven)
[2009-06-27] Added "Get Help Online" & "Report a Problem" links to help menu. (Steven)
[2009-06-28] lp#381931: Show nick instead of CID when browsing offline shares. (Steven)
[2009-08-14] Upgraded the DC++ core to 0.75. (Steven)
[2009-08-14] lp#395435: Clicking notification icon fails to toggle interface. (Steven)
[2009-08-23] lp#298894: Rewrote favorite hub properties dialog. (Steven)
[2009-09-11] lp#283407: Added icons & tool-tips to the status bar and fixed auto-resizing issue. (Steven)
[2009-09-16] lp#430275: Increased maximum uncompressed file list size to 1000 MB. (Steven)
[2009-09-17] lp#430771: Enabled rubber banding (mouse multiple selection by dragging) for all treeviews with multiple selection. (Razzloss)
[2009-09-18] lp#432579: Fixed downloading directory results from search view. (Razzloss)
[2009-09-22] lp#385284: Added an IP address column to the hub user list. (thanks mark)
[2009-10-10] lp#406302: Added desktop notifications for messages and downloads. (thanks Jakh Daven)
[2009-10-14] lp#449298: Updated package description and dependencies in Readme.
[2009-10-20] Improved the look of the application icon in the title bar. (Steven)
[2009-10-20] Application icons now install into theme search path. Allows for visibility in other apps (e.g. notification daemon). (Steven)
[2009-10-21] Added a debian folder, man page and desktop file. (Steven)
[2009-11-02] lp#442475: Fixed crash when adding a search results from user who has left the hub. (Razzloss)
[2009-11-02] lp#339700: Fixed a rare crash when switching tabs. (Steven)
[2009-11-02] Bumped minimum scons version to 0.98.1 to resolve multiple building issues. (Steven)
[2009-11-25] Added issue with MacPorts boost lib not being detected on OS X to Readme. (thanks vszakats)
[2009-12-31] lp#397365: Fixed sorting of "Time Left" column in transfers view. (Steven)
[2010-01-07] lp#473173: Crash when hashing files. Added missing SIGBUS handler. (Razzloss)
[2010-01-30] lp#321246: Fixed a crash in debug builds due to bad nick conversion handling. (Steven)
[2010-02-01] lp#502673: Fixed an issue with the GUI randomly freezing. (Steven)
[2010-02-28] Added a setting to disable fast hashing method. (Steven)
[2010-03-11] lp#361735: Improved magnet link support. Support for passing commands to running LinuxDC++ client. (Razzloss)
[2010-03-15] lp#494392: Search by TTH should open in a new tab. (Razzloss)
[2010-03-16] Added build and version information to terminal output. (Razzloss)
[2010-03-22] lp#541548: Bad NMDC validation messes up LinuxDC++ chat formatting. (Razzloss)
[2010-03-22] Application now registers as the default magnet URI handler on Debian systems. (Steven)
[2010-04-17] Compilation fixes for OpenSolaris. (thanks Andrew Browne)
[2010-05-22] lp#317346: Favorite Users tab merged from freedcpp. 
[2010-06-06] lp#590359: Fix crash with two simultaneous Socket::resolve calls (Razzloss)
[2010-08-05] lp#337576: Don't show partial finished downloads. (thanks Bart Vullings)
[2010-08-08] Added a case-insensitive substring search for nick list. (Steven)
[2010-08-26] Added Ctrl+F4 to close a tab. (thanks Bart Vullings)
[2010-09-04] Show the filename when grouping by TTH in search. (Steven)
[2010-09-04] Renamed Nick to User for consistency and grammar. (Steven)
[2010-09-04] Show preferences dialog on initial startup. (Steven)
[2010-09-05] lp#308683: Fixed downloading files multiple times when grouping by TTH. (Steven)
[2010-09-07] Added icons to the notebook tab labels. (Steven)
[2010-09-09] PM tab label now shows when user's nick, hub or online status changes. (Steven)
[2010-10-13] Added file path (fileFN) and magnet (fileMN) variables to user commands. (thanks DjSlash)
[2010-10-29] lp#667491: Unexpected results deleting multiple selected search results. (Razzloss)
[2011-02-02] lp#311482: Internationalization support. (Steven)
[2011-03-07] lp#329805: Use Desktop Environment's default download folder. (Steven)
[2011-03-15] lp#735124: Fix crash with previous if the default download folder isn't set. (Razzloss)
[2011-04-04] lp#546227: Possibility to enqueue a magnet link directly. (thanks lagalopex)

*** 1.0.3 2009-02-01 ***
[2008-08-10] lp#256236: Fixed a crash on startup when using auto-open options.
[2008-09-20] lp#257972: Status progress bar shows speed instead of percentage (thanks Razzloss).
[2008-09-20] lp#272363: Crash on finished downloads remove (thanks David Grundberg).
[2008-09-20] lp#272447: Main window too large for some computers (thanks David Grundberg).
[2008-11-29] Added the ability to group searches (thanks Razzloss).
[2008-11-29] lp#283439: Extra padding in main window (thanks David Grundberg).
[2008-11-30] lp#283353: Fill whole tab label (thanks David Grundberg).
[2008-11-30] lp#297544: Can't browse own file list from hub tab (thanks David Grundberg).
[2008-11-30] lp#287995: Finished hashing should be 100%, not 0% (author David Grundberg).
[2008-12-01] lp#297713: Incorrect sort order on shared and min share in public hublist.
[2008-12-03] lp#298894: 'Default hub encoding' isn't respected (thanks David Grundberg).
[2008-12-11] Fixed a crash in enabling local filtering with grouping enabled. Local filter is now grayed when grouping is enabled.
[2008-12-12] lp#307418: Lack of win (cp) 1250 encoding.
[2008-12-12] Fixed GTK+ warnings about setting an adjustment with non-zero page size.
[2008-12-25] Made getifaddrs() conditional on OS support (thanks Tobias Nygren).
[2008-12-25] Added IPv6 support to list of local IPs in preferences.
[2008-12-28] Changed homepage in About dialog.
[2008-12-28] lp#279795: No status message on socket listen failure.
[2008-12-29] lp#307931: Fav hub errors and dialog improvements (thanks David Grundberg).
[2008-12-29] lp#311480: Show tab name in title bar.
[2008-12-30] Switched EggTrayIcon with GtkStatusIcon. GTK+ >= 2.10 now required.

*** 1.0.2 2008-07-04 ***
[2007-12-30] Bug #12815: Hide main toolbar option doesn't work after restart.
[2008-01-05] GCC 4.3 compile fix.
[2008-01-17] Added a copy nick menu item to main chat.
[2008-01-26] Added an "Open containing folder" option to finished transfers.
[2008-02-05] Only one instance per profile (thanks Bart Vullings).
[2008-02-05] Nick completion now finds nicks in the form [xyz]nick (thanks Razzloss).
[2008-02-05] Clear speed & time after up/downloads finish (thanks Bart Vullings).
[2008-02-06] Bug #12401: Main toolbar system default (thanks Bart Vullings).
[2008-02-07] Added the ability to view user command sub-menus (thanks Bart Vullings).
[2008-02-07] Updated copyright to 2008.
[2008-02-08] Bug #13060: Auto-away on minimize not working (thanks Bart Vullings).
[2008-02-12] Focus text entry boxes when switching tabs (thanks Mikael Eman).
[2008-02-13] Use CC env. variable when compiling C files (thanks Razzloss).
[2008-02-13] Filter files already in share (thanks Razzloss).
[2008-02-28] Fixed finished transfers totals not showing when opened.
[2008-02-28] Standardized menu entries to 'Browse file list'.
[2008-02-28] Fixed a memory leak when clearing search results (thanks Razzloss).
[2008-03-02] Fixed user list and transfer view increasing in size when maximizing.
[2008-05-04] Added user commands to share browser and transfer view (thanks Bart Vullings).
[2008-05-04] Removed BookEntry from WulforManager (thanks David Grundberg).
[2008-05-04] Improved the tab close button.
[2008-05-04] Fixed auto-open of Finished Uploads tab.
[2008-05-04] Bug #013330: Confirm exit application dialog not working.
[2008-05-04] Fix small memory leak when retrieving local IPs (thanks Razzloss).
[2008-05-04] Add ability to open URIs on Mac OSX (thanks David Grundberg).
[2008-05-10] Fixed hub reconnect regression.
[2008-05-10] Keep dialogs above the application (thanks Razzloss).
[2008-05-10] User list performance improvements (thanks Razzloss & olsner).
[2008-05-10] Scroll chat to bottom after window resize (thanks Bart Vullings).
[2008-05-10] Fixed user command dialog not saving its state after an error (thanks Bart Vullings).
[2008-05-11] Fixed a memory leak when filtering duplicate search results (thanks Razzloss).
[2008-05-19] Replaced the 'Windows' menu with an improved 'Tabs' menu.
[2008-05-26] Removed extra newlines in hub/private chats (thanks David Grundberg).
[2008-05-26] Fixed search hotkey collision.
[2008-05-26] Close tab on middle button release instead of press (thanks David Grundberg).
[2008-05-27] Bug #12100: Away message says 'DC++'.
[2008-05-27] Bug #12994: Long chat string doesn't wordwrap.
[2008-05-27] Added timestamps to hub and mainwindow status bars.
[2008-06-08] Urgency hint notification on PM or hub message containing nick (thanks David Grundberg).
[2008-06-08] Bold on content change setting for PM and hub now enables/disables urgency hint.
[2008-06-08] Minimum version of GTK+ required is now 2.8.
[2008-06-08] Fixed sorting by speed in Finished Transfers.
[2008-06-14] Bug #13338: Context menu for absent users.
[2008-06-16] Fixed tab label from truncating utf-8 text improperly.
[2008-06-29] Fixed a possible remote crash on partial file list requests.
[2008-06-29] Fixed a crash on empty private message.
[2008-07-02] Added an OpenSSL exception to the license.

*** 1.0.1 2007-12-25 ***
[2007-10-13] Use strtoll instead of atoll to enable build on HPUX (thanks Tobias Nygren).
[2007-10-13] Dispatcher optimizations (thanks jikaheim).
[2007-10-13] Bug #12058: Hubs are not removed from search list after reconnection.
[2007-10-13] Moved preference notebook tabs position to the left.
[2007-10-13] Changed reference to "Windows" in preferences to "Tabs."
[2007-10-13] Added an option to specify the main window notebook tabs position.
[2007-10-13] Added an option to specify the main toolbar style.
[2007-10-13] Bug #11126: don't follow symlinks (thanks gasol).
[2007-10-13] Improved display of kick messages (thanks naga).
[2007-10-13] Default for virtual name entry (thanks Razzloss).
[2007-10-13] First attempt at adding Mac OS X support (thanks Jammnrose).
[2007-10-28] Fixed wrong default value of main window notebook tabs.
[2007-10-28] Fixed build error "*** Error writing options to file: build/sconf/scache.conf".
[2007-10-28] Added hub url to "Connecting to" text when loading a hub.
[2007-10-28] Patch #2216: add hub topic to tab name (thanks stoft).
[2007-10-28] Bug #12151: Get file list won't show directory right (thanks David Grundberg)
[2007-10-28] Bug #12152: Superfluous / in $HOME causes file browsing problems.
[2007-10-28] Added user commands (thanks Bart Vullings).
[2007-11-07] Fixed search results from sometimes never appearing in the GUI.
[2007-11-20] Added magnet links support (thanks Max Lapan).
[2007-11-20] Feature Request #3840: Define WM_WINDOW_ROLE for main window.
[2007-11-25] Added user commands to search menu (thanks Bart Vullings).
[2007-11-30] Fixes to allow compilation on OpenBSD (thanks Jeremy Evans).
[2007-12-02] Open finished files w/ the default application (thanks David Grundberg).
[2007-12-03] Fixes to allow compilation on Mac OS X (thanks Per Göransson).
[2007-12-04] Display hub name(s) on private message tab.
[2007-12-07] Added the ability to open URLs in chat with the default application.
[2007-12-07] Make the program appear on the screen more smoothly.
[2007-12-07] Fixed chat text from sometimes not appearing by validating all utf-8.
[2007-12-12] Added nick popup menu in chat.
[2007-12-12] Fix bind address on UDP socket (thanks Jeremy Evans).
[2007-12-16] Improved updating of cursor when hovering over links (thanks Stanislav Maslovski).
[2007-12-23] Improved tray icon text.
[2007-12-23] Fixed website link in about menu.
[2007-12-25] Show WAN IPs in drop-down box (thanks Jussi Peltola).

*** 1.0.0 2007-09-23 ***
2007-08-04 - Steven Sheehy
* Fixed a character encoding issue when "System default" was selected.
* Fixed a window menu regression.
* Patch #2099: Make all dialogs accept enter (thanks kotnik).
* Improve active searches when using multiple IPs (thanks Stanislav Maslovski).
* Patch #2121: Make the trayicon transparent (thanks Bart Vullings and Gaim/Pidgin team).
* Connect dialog now highlights old text upon re-opening.
* Converted u_int*_t to uint*_t C99 types.
* Bug #11597: Disconnected showing before no slots available (thanks Razzloss).

2007-07-07 - Steven Sheehy
* Bug #11382: Filelists are not removed when closing (thanks piotrp).
* Some more translation work.

2007-05-06 - Steven Sheehy
* Fixed some download queue regressions.

2007-05-05 - Steven Sheehy
* Fixed download delay in some cases (thanks Mikael Eman).
* Added "Log filelist transfers" setting.
* Bug #10891: Move of tree in dl queue flattens the tree.
* Bug #10978: Incorrect charset names.
* Bug #10261: ShareManager::checkTypes is not endian-safe (thanks Mikael Eman).
* Patch #1953: Improve socket disconnections caused by EINTR (thanks Mikael Eman).
* Fixed an encoding issue that could cause transfers to fail (thanks Stanislav Maslovski).
* Fixed a compile error on gcc 4.3.

2007-03-27 - Steven Sheehy
* Fixed a text conversion regression.

2007-03-24 - Steven Sheehy
* Fixed an issue with systems that dynamically link iconv.
* Added /away and /back to pm commands.
* Feature #3128: Auto-respond when in Away mode.
* Added "Don't send the away message to bots" option.
* Updated the copyright year to 2007.
* Bug #10094: Duplicate entries in Download Queue.
* Added the ability to specify a hub's charset if it's not in the drop-down.
* Improved WulforManager (knock on wood).
* Cleaned up Text conversion functions a bit.
* Started i18n and l10n support (much more work to do).

2007-02-06 - Steven Sheehy
* Patch #1876: Fix compile on *BSD caused by inconsistent iconv API (thanks Mikael Eman).
* Patch #1874: Fix dl queue folders from sometimes appearing empty (thanks naga).

2007-02-04 - Steven Sheehy
* Patch #1802: Fix for Total Item/Size counts not updated in dlqueue (thanks Razzloss).
* Patch #1804: Allow filelist to be expanded to directories (thanks Mikael Eman).
* Fixed a couple glade regressions.
* Fixed "Remove user from queue" regression in hub nicklist.
* Fixed /commands regression in pm window.
* Fixed address binding failures in core (thanks Mikael Eman).
* Fixed scons from checking for dependencies during scons install.
* Fixed scons from recompiling if scons install is specified but the executable
  is not up-to-date.
* Character encoding fixes:
	* Should finally fix the many character encoding issues once and for all.
	* Added a per-hub encoding option.
	* Rewrote core's text handling functions to use iconv. This allows us to
	  convert between more than just the file system encoding and utf-8.
	* Changed xml handling code to respect the encoding specified in the file
	  when loading and to always save as UTF-8 when writing.
	* Moved default global charset to the personal tab and made it a drop-down
	  list. Set it to the encoding most common to the hubs you visit.
	* Many other core changes to ensure UTF-8 is always sent from core <-> gui.

2007-01-04 - Steven Sheehy
* Fixed "Search by TTH" regression (thanks Mikael Eman).
* Updated glade xml files to Glade3 (smaller file size, cleaner layout).
* Download queue changes:
	* Fixed crashing regressions.
	* Fixed an issue with scroll position not updating when changing dirs.
	* Fixed new files from showing up in the wrong directory.
	* Fixed crash when adding files to "/".
	* Fixed sorting of "Downloaded" column.
	* File view and dir view are now both sorted automatically.
	* Bug #6728: Download queue selection.
	* Added the ability to move and rename files.
	* Added more keyboard events.
	* Decoupling and lots of cleanup.

2007-01-01 - Steven Sheehy
* Fixed a deadlock in the core, improving socket disconnections as a nice
  side effect (thanks Mikael Eman).
* Added a new & improved irssi-like nick completion (thanks Razzloss).
* Fixed some issues with the "Auto Connect" col in favorite hubs.
* Fixed a crash when loading a corrupt file list.
* Removed Ctrl+Right/Left shortcut to change tabs since it conflicted w/
  it's traditional use in text entry boxes.
* Removed distcc and ccache support.
* Feature #1806: Get file list to be expanded to selected (thanks Mikael Eman).

2006-12-10 - Steven Sheehy
* Decoupled Hub (thanks Razzloss).
* Fixed some short overflow issues in the core when dealing with ports.
* Bug #9647: "Renamed file when downloading to a folder" (thanks Mikael Eman).
* Bug #9671: "Multiple selection in filelist" (thanks Mikael Eman).
* Bug #9600: "High CPU usage for some time upon connecting to large hub." Caused
  by nick completion code so it had to be temporarily removed (thanks Razzloss).
* Fixed some uninitialized variables (thanks Mikael Eman).

2006-12-04 - Steven Sheehy
* Upgraded the DC++ core to 0.698:
	* The 0.691 core contains a security flaw so I recommend you upgrade ASAP.
	* Support for non-TTH files was removed (by DC++, so don't complain to us).
	* Added SSL support (thanks Mattias Webjörn Eriksson for some help with this).
		* OpenSSL is now a required dependency to build.
		* Added a "Security Certificates" page in the preferences dialog.
		* Added a TLS port entry in the "Connection" page.
	* Added "Ignore private messages from bots" option.
	* Added "Ignore private messages from the hub" option.
	* Added "Don't download files already in the queue" option.
	* Removed "Ignore private messages from offline users" option.
	* Removed "Only results with TTH root" option.
	* Lots of other bug fixes to get the core to compile on *nix.

2006-11-22 - Steven Sheehy
* Disallowed hashing of sockets, device files, or named pipes.
* Decoupled hashing dialog.
* Added a bit more error-checking to SConstruct.
* Fixed close connection regression.
* Added multiple selection capability to nick list (thanks Jussi Peltola).

2006-11-01 - Steven Sheehy
* Improved search filtering.
* Removed unimplemented menu options (and won't be implementing in the future).
* Fixed pixmaps/normal.png (thanks UrkeMMI).
* Removed duplicate gthread-2.0 cflags.
* Reduced linking dependencies (thanks Pavlov Konstantin).
* Added a new public hub list (since hublist.org is down).
* Decoupled the gui & client functions in Favorite Hubs, Finished Transfers & transferview
  (translation: less segmentation faults, less temporary gui freezes, cleaner code).
* Fixed a few password bugs in Favorite Hubs.
* Added multiple selection capability to Finished Transfers & transferview.
* Rewrote transferview to clean it up & fix updating issues (thanks Razzloss).
* Changed a large number of string parameters to const refererences to improve efficiency.

2006-10-12 - Steven Sheehy
* Added usernames to chat logs (thanks Fredrik Ullner).
* Added more columns to public hubs (thanks Fredrik Ullner).
* Added dynamic filtering of local results to search (thanks Razzloss).
* Cleaned the source of carriage returns.
* Closing a tab now switches to previously selected tab (thanks dorian).
* Removed useless "Max tab rows" setting.

2006-10-07 - Steven Sheehy
* Fixed sorting of nick list (thanks Razzloss).
* Fixed shared total in some hubs from erroneously reporting 0 B (thanks Razzloss).
* Fixed a crash in search when right-clicking non-tth files.
* Fixed "Thrown: FileException: Bad file descriptor" errors in debug mode.
* Cleaned up and fixed a few other issues with client/File.h code.

2006-09-27 - Steven Sheehy
* Fixed crashing regression in download queue.
* Added "Match queue" and "Remove from queue" options to userlist popup menu.
* Added reconnect hub option (File->Reconnect or Ctrl+R).

2006-09-23 - Steven Sheehy
* The transfer, nicklist, sharebrowser & dl queue panes now stay the same
  size when resizing the window (thanks dorian).
* Added the ability to add extra sources from search popup (thanks Bart Vullings).
* Fixed a BSD compile issue with the new fast-hash routine.
* Download queue cleanup:
	* Fixed potential GUI deadlocks.
	* Fixed memory leaks.
	* Combined "Search for alternates" & "Search by TTH" options.
	* Fixed "Re-add source" item.
	* Added keyboard events.

2006-09-18 - Steven Sheehy
* Fixed the new fast-hashing algorithm from crashing on zero byte files.

2006-09-11 - Steven Sheehy
* Middle click on tab now closes it.
* Ctrl+shift+tab/ctrl+left-arrow navigates left and ctrl+tab/ctrl+right-arrow
  navigates right between tabs (thanks Bart Vullings).
* Added an IP column in the transfer view (thanks Bart Vullings).
* Fixed a socket-related crash in the core.
* Added an experimental fast-hashing algorithm (thanks Markus Lindqvist).
* Fixed the core from regenerating files.xml.bz2 upon startup (thanks dorian).
* Tweaked the character encoding functions a bit (thanks dorian).
* Replaced the non-working public hub list with an ADC list.
* Implemented the "beep on private message" option (thanks Rimas Kudelis).

2006-09-01 - Steven Sheehy
* Changed binary name and data path from ldcpp to linuxdcpp to satisfy package maintainers.
  !!IMPORTANT!! - run "scons -c install" to remove all the old files before compiling.
* Fixed an issue with including system CXXFLAGS (thanks naga).
* Made tabs open more smoothly.
* Tabs are now reorderable (activated only if gtk >= 2.10).
* Fixed core not being able to delete files.xml*.bz2 on shutdown.
* Fixed an issue with the font being too small in sharebrowser buttons.
* Made sharebrowser more similar to DC++ (thanks dorian).

2006-08-27 - Steven Sheehy
* Removed binreloc/prefix.hh. It now uses the prefix it was compiled with
  (/usr/local by default) and if it's not found, uses the current dir instead.
* Specifying PREFIX for both scons and scons install is no longer needed, it is
  carried over to scons install automatically.
* Scons now ensures scons version is at least 0.96.
* Scons now shows the available ldcpp command-line parameters with "scons --help".
* Removed ability to specify BINDIR, DOCDIR and DATADIR separately from PREFIX (wouldn't work w/ above changes).
* More SConstruct cleanup.
* Fixed another issue with SOCKS5 setting.

2006-08-21 - Steven Sheehy
* Created an Entry class and made MainWindow, BookEntry and DialogEntry subclasses of it.
* WulforManager now deletes all of MainWindow's queued functions before closing the program.
* Rearranged #includes to speed up re-compilations.
* Fixed multiple selection regression in search tab.

2006-08-19 - Steven Sheehy
* Fixed a large memory leak due to never unreferencing the GladeXML files.
* Added the ability to retrieve a widget out of the xml at any point in the program,
  which helped clean up the code immensely.
* Temporary fix for the 100% CPU usage caused by sorting the hub user list in large hubs too soon.

2006-08-17 - Steven Sheehy
* Fixed search regression.

2006-08-16 - Steven Sheehy
* Fixed more memory leaks.
* Fixed possible security issues due to lack of bounds checking on sprintf.
* Fixed allocating large buffers on the stack from causing random crashes (thanks Tobias Nygren).
* Fixed ADC not working on big-endian architectures (thanks Tobias Nygren).
* Fixed testing for non-blocking I/O on some System V-derived systems (thanks Tobias Nygren).
* Added stdint.h to core header for use in BSD operating systems.
* Added ability to specify additional compile flags by looking at the CXXFLAGS env variable.
* Fixed an issue with public hubs defaulting to a blank url in the list.
* Settings dialog changes:
	* Cleaned up code.
	* Public hub list in settings now matches the one in public hubs tab.
	* Fixed SOCKS5 settings not saving properly.
	* Fixed a crash when adding a share and closing settings dialog soon afterwards.
	* Added ability to specify hidden directories when browsing folders.

2006-08-01 - Steven Sheehy
* Fixed the gui freezing that occurred sometimes when closing the hub tab.
* Added -Wall to debug mode CXXFLAGS and fixed most compiler warnings (including dc++ core).
* Search changes:
	* Cleaned up code.
	* Added keyboard events.
	* Fixed a massive amount of memory leaks (seriously, it was ridiculous).
	* Fixed most areas that could cause potential deadlock.
	* Added "Only results with TTH root" option.
	* Made above & "Only users with free slots" option persistent.
	* Improved "Only where I'm op" option.
	* Made the checkbox options filter the list as they're selected instead of just on next search.
	* Slots column now sorts properly (used to sort as a string).
	* Filename col now sorts directories first.
	* Added file & dir icons to search results.
	* Fixed and improved search drop down box.

2006-07-23 - Steven Sheehy
* Replaced more menu items with stock icons (thanks Rimas Kudelis).
* Changed "Quick Connect" shortcut from Ctrl-Q to Ctrl-N (Ctrl-Q is now used
  for quitting the application) (thanks Rimas Kudelis).
* Added tooltips to the toolbar items.
* Rearranged a couple toolbar items to flow better.
* Added a close item to the file menu that closes the current tab (shortcut Ctrl-W).

2006-07-21 - Steven Sheehy
* Replaced a lot of text buttons with GTK+ stock icons (thanks Rimas Kudelis).
* Main toolbar now respects gtk-toolbar-style option (thanks Rimas Kudelis).
* Moved most static popup menus into glade and made them use stock icons where applicable.
* Added /refresh command.

2006-07-19 - Steven Sheehy
* Replaced old windows-style icons with new Gnome-style icons (huge thanks to Johannes Sjölund).
  Note: There's a new svg subdir with these icons saved as svg for backup purposes.
  These do not need to be distributed in any binary packages.
* Added an option to use the stock GTK+ icons if you don't like the provided ones.
  Note: You have to manually edit ~/.dc++/LinuxDC++.xml currently to activate this due to 
  settings dialog issues. Add <use-stock-icons type="int">1</use-stock-icons> to the file and restart ldcpp.
* Moved logo & tray icon back to png from svg since not everyone had librsvg.
* Changed Settings to Preferences in the GUI to follow Gnome HIG.
* Fixed a problem with open own list opening in the background.
* More sharebrowser changes:
	* Additional code clean up.
	* Rewrote find to search in the proper order, expand dirView properly & fix a crash.
	* Made find case insensitive.
	* Made find search directory names in addition to file names.

2006-07-14 - Steven Sheehy
* SCons/build process changes:
	* NOTE: I recommend you checkout a fresh CVS due to all these scons changes.
	* Removed sys/poll.h as a required dependency since it's not included anywhere.
	* Cleaned up scons temp files by moving creation of config.log and .sconsign
	  files to .sconf_temp/ (less cruftage!).
	* Also, moved .sconf_temp/ to be under build/ directory.
	* Separated cxxflags of client and gui so that client is not compiled with gtk flags.
	* Cleaned up the SConstruct files, added comments, etc.
* Removed a GTK+ function that required 2.8.

2006-07-13 - Steven Sheehy
* Removed the last vestiges of Wulfor name in the GUI (thanks Pavlov Konstantin).
* Fixed some memory leaks.
* callback.hh was finally removed.
* Re-added show tray icon setting.
* Fixed a crash when adding the same share twice (thanks Mikael Eman).
* Fixed a crash when downloading a dir from search in debug mode (regression).
* Hub changes:
	* Cleaned up the source.
	* Added keyboard events.
	* Added ability to retrieve chat history by using the up and down arrows.
	* Fixed problem with not having userlist sorted when joining a hub.
	* Turned off "rules-hint" (AKA striped lines) in nick treeview to speed things up.
	* Replaced nick completion code with the much simpler GtkEntryCompletion (6 lines of code vs 100).
	* Implemented these options:
		* Filter kick messages
		* Log status messages
		* Automatically follow redirects
		* Show timestamps in chat by default
		* View status messages in main chat
		* Show joins / parts in chat by default
		* Only show joins / parts for favorite users
		* Send unknown /commands to the hub
		* Open new window when using /join
		* Ignore private messages from offline users
		* Open new private message windows in the background
		* Open file list window in the background
	* Added these commands: /away, /back, /clear, /close, /favorite, /getlist,
	  /grant, /help, /join, /pm, /rebuild, /userlist

2006-06-27 - Steven Sheehy
* Fixed chat not displaying for ADC hubs (thanks Fredrik Ullner).
* Public Hub changes:
	* Cleaned up the source.
	* Added keyboard events.
	* Removed dependency on callback.hh.
	* Filter now finds as you type.

2006-06-25 - Steven Sheehy
* Changed naming of "Favourite" to "Favorite".
* Finally settled upon a common gui callback naming scheme (see wiki for details).
* Private Message changes:
	* Huge cleanup of the source code.
	* Added ability to retrieve chat history by using the up and down arrows.
	* Added these commands: /clear, /close, /favorite, /getlist, /grant, /help.
	* Removed dependency on callback.hh.
	* Set a limit on how many lines of text would be displayed at a time (500).
	* Fixed a bug with multiple nicks where it always showed the first nick.

2006-06-23 - Steven Sheehy
* Fixed HashData.dat from not being created on 64bit systems.
* FileExceptions now show name of file with error (on stdout in debug mode).
* Updated licensing information: FSF changed postal address.
* Fixed another crash when adding shares.
* Sharebrowser changes:
	* Huge cleanup of the code resulting in a noticeable speed increase when browsing folders.
	* Fixed icons not showing up for non-Gnome users.
	* Fixed a crash when loading a corrupt or incomplete filelist.
	* Fixed a bug where the wrong column would show it was sorted.
	* Fixed a number of memory leaks.
	* Added keyboard events.

2006-06-19 - Steven Sheehy
* Added keyboard events to favorites & finished transfers.
* Fixed possible gui freezes in favorites & finished transfers.
* Major code clean-up in finished transfers.
* Fixed a crash when adding a share with an empty virtual name.

2006-06-17 - Steven Sheehy
* Fixed port signedness and added some error checking.
* Fixed core from creating files and directories with incorrect default permissions.
* Fixed core from creating multiple filelists directories due to case-sensitivity.

2006-06-16 - Steven Sheehy
* Updated copyright on source files to latest year.
* Added error detection for when glade files can't be found.
* Fixed hash speed limiting not working.
* Fixed adding a share from freezing the gui temporarily.
* Fixed "Don't allow hub/UPnP to override" setting from not saving correctly.

2006-06-15 - Naga & Steven Sheehy
* Upgraded the client core to version 0.691:
	<WARNING>
		* All sources to downloads will be lost (not the files) due to Queue.xml core changes.
		* Some settings will have to be reconfigured (namely connection mode & speed).
	</WARNING>
	* Added features:
		* Disconnect slow users.
		* IP field can accept a hostname.
		* Markers for ZDownloads, TTH Trees, TTH Check, Secure (Not supported) & Rollback.
		* Show timestamps options.
		* Log Hub, PM and Filelist transfers.
		* Option to use Monospaced font for Hub & PM (thanks UrkeMMI).
		* Tab bolding options for Hub, PM, Search, Finished Downloads and Finished Uploads.
		* Notification when searching too soon.
	* Fixed bugs:
		* Bug #6103: crashes when have no permission to create file/directory (untested)
		* Bug #6294: Hub topics not working
		* Bug #6462: User list loading very slow (on Open DC hubs)
		* Switching connection mode requires a restart.
* Completely rewrote settings dialog to make room for the new options.
* Hid most of the unimplemented settings.
* Fixed bug #7651: GUI Freeze (in downloadqueue)
* Rewrote the character encoding code to use a user-specified fallback locale (default CP1252)
  if current locale fails. Not a 100% fix for unicode issues, but a start.

2006-06-13 - Steven Sheehy
* Don't redefine NULL
* Fixed PM windows from stealing focus if it's already open.

2006-06-03 - Steven Sheehy
* Added another stupid hack to keep people from crashing because of other users with
  characters in their nick that ldcpp can't determine the encoding of.

2006-06-01 - Steven Sheehy
* Fixed tab bolding regression.
* Memory leak fixes.
* Realized GTK+ can handle svg so I replaced the logo pngs with a svg one.

2006-06-01 - Paskharen
* Made the main window restore a bit better after being hidden by the tray icon.
* Also made the window come up a bit nicer when the program is started.

2006-05-31 - Steven Sheehy
* Fixed a compile error.

2006-05-30 - Steven Sheehy
* Replaced most std::map's with hash_map to speed things up.
* Rewrote openOwnList, openFileList, and refreshList to not freeze the gui temporarily while they load.
* More memory leak fixes.
* Fixed hashing to support big-endian architectures (thanks Tobias Nygren).
* Glade and pixmaps now install into PREFIX/share (thanks Pavlov Konstantin).

2006-05-29 - Steven Sheehy
* Replaced previous tray icon with a kick-ass new icon (big thanks to wulax).
* Added the aforementioned icon to all the window titlebars & the about dialog.
* Changed the name in the title bar from "Wulfor Reloaded" to "LinuxDC++".
* Workaround to force eggtrayicon to be transparent on all platforms.
* Removed atomic_inc/dec and instead use pthread_mutex due to Bug #7614 and
  since not all CPU types could use atomic.h anyway (thanks Tobias Nygren).
* Replaced PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP with a non-GNU specific implementation (thanks Tobias Nygren).
* Fixed a few more things to make ldcpp build on more platforms (thanks Tobias Nygren).
* Fixed some more memory leaks.
* Changed a map to an enum to fix a possible crash when updating transferview.
* Fixed another crash in transferview.
* Major clean-up of WulforManager which will hopefully result in a nice speed increase.

2006-05-26 - Steven Sheehy
* Possible fix for the GUI freezing/deadlock that many people have been experiencing lately.

2006-05-25 - Steven Sheehy
* Forgot to add new icon to list of items for scons to install.
* Huge cleanup of favorite hubs.

2006-05-24 - Steven Sheehy
* Added a tray icon (thanks Matthew Ziegelbaum).
  Note: Icon is just a copy of DC++'s. It'd be nice if someone could make a new icon for us.
* Cleaned up mainwindow.hh by moving functions to private visibility where applicable.
* Migrated MainWindow from callback.hh to static callbacks.
* Fixed the about dialog.

2006-05-09 - paskharen
* Made scons file more error proof and added support for ccache and distcc (thanks Naga and Steven Sheehy)

2006-05-05 - Steven Sheehy
* Rewrote transfer view yet again to fix a re-occuring crash.
* Fixed some shutdown issues.
* Fixed a Gtk warning in public hubs.
* Fixed private messages not scrolling to the bottom on a new message.
* Fixed Bug #4982: gtkrc button order ignored.
* Fixed "Open with" in Finished Transfers from causing 100% cpu at times.
* Fixed more memory leaks.
* Increased upper limit of "No new downloads if speed exceeds" setting.
* Moved some widget creation into glade.
* Made "Window" menu list open hubs and private messages.

2006-04-05 - paskharen
* Added workaround for empty nicks due to unicode problems (thanks Steven Sheehy)

2006-03-29 - Steven Sheehy
* Added proper sorting to transfer view (downloads -> uploads -> other).
* Added a Hub Name column to transfer view.
* Moved icon col into user col for simplicity.
* Fixed improper sorting of speed and size column in transfer view.
* Removed hidden ID col in transfer view and replaced with a map to
  speed it up (hopefully).
* Made transfers, publichubs & finished transfers sorted upon startup.
* Set most treeviews to fix-height-mode to speed up rendering.
* Made enabling progress bars not require a restart.
* Fixed a bug saving & restoring invalid column sizes.
* Fixed a crash on shutdown that some people experienced caused by GTK_IS_TREE_VIEW.
* Fixed a lot of small memory leaks when retrieving strings from GtkTreeViews.
* Fixed a _huge_ memory leak: GtkListStores weren't unreferenced to
  zero so they were never destroyed.

2006-02-25 - paskharen
* Fixed compile problems where 'assert' function could not be found

2006-02-23 - Steven Sheehy
* Added ability to add or remove columns in treeviews.
* Major clean up of treeview.cc/hh.
* Fixed minor grammar and spelling errors in readme.txt.

2006-02-14 - Steven Sheehy
* Fixed setting dialog and favorite hub regressions caused by previous updates.
* Fixed the move up and move down buttons for the public hubs inside settings dialog.
* Fixed bug with favorite hubs overwriting passwords with astericks in xml file.
* Fixed crash when hashing a file with read errors. (thanks OpsVentus)
* Fixed a bug allowing the transfer pane separator to be raised too high causing GUI corruption.
* Fixed bugs with the new settings manager not saving settings properly.
* Added ability to save transfer and nick list pane widths.
* Added progress bars for transfers (requires gtk >= 2.6).
* Made refresh file list work.

2006-02-08 - paskharen
* Made treeview columns reorderable (thanks Steven Sheehy)
* Made treeview columns save their widths (thanks Steven Sheehy)
* Made treeview a general treeview wrapper class. This is not complete and
  the settingsdialog isn't fully updated to use this.
* Made it possible to have more than one search tab open.
* Fixed an assertion failure when downloading a directory.
* Made a custom settingsmanager for the linux part and made mainwindow use it.
* Made the text on the Find buttons in sharebrowser smaller to avoid it being
  chopped off because of lack of space on the button.

2006-01-18 - paskharen
* Disabled asm code for ia64 (thanks Romain Beauxis)
* Added install targets to SConstruct file (thanks Naga)
* Tweaked the window position save/load code to work for more people
* Changed constants for window state to be the same as for main DC++

2006-01-16 - phase
* Added Favorite Downloads, select multiple files and search for alternates to
  the sharebrowser.

2006-01-14 - paskharen
* Fixed the bug saving bogus values for main window size/position

2006-01-13 - paskharen
* Made main window remember size, position and state (Bug #3348)(thanks Tom Lofts)

2006-01-01 - paskharen
* Improvements to Open own list and Open File List. (thanks Steven Sheehy)
* Improvements to favourite hubs. (thanks Steven Sheehy)
* Various cleanups. (thanks Steven Sheehy)

2005-12-24 - phase
* Fixed a bug with the Open File List. (Thanks Steven Sheehy)

2005-12-20 - paskharen
* Added line breaks to private messages
* Changed dates in changelog from 2006 to 2005 =)
* Fixed a unicode problem in nicklist

2005-12-19 - phase
* Fixed a typo in the search. (thanks x-term)

2005-12-13 - paskharen
* Fixed bug in sharebrowser when a file has no extension (thanks Vikram Aggarwal)
* Added atomic code for mips and ia64 (thanks Romain Beauxis)
* Changed behavior when cpu type is not supported, it now disables atomic
  operations automatically.
* Made finished ul and dl icons same size as the others.

2005-12-09 - paskharen
* Added asm code (atomic inc/dec) for more cpu architectures.
* Fixed the crash when closing the open file list dialog.
* Added about box, it's a bit ugly though.

2005-11-02 - paskharen
* Improved performance on large hubs (thanks Naga)
* Unicode fixes in downloadqueue and search
* Removed duplicate search results

2005-10-16 - paskharen
* Fixed the crashing when you set it to open a notebook page on startup.

2005-10-13 - paskharen
* Undid the previous cleanup, it wasn't possible to rip out the dispatcher =(
* Fixed crashing on startup again
* Improvements to hub and sharebrowser (thanks John Armstrong)

2005-09-15 - paskharen
* Fixed renaming files across partitions (patch from unknown)

2005-09-14 - paskharen
* Removed the dispatcher.
* Removed the callback class, it was just confusing.
* Made entering large hubs faster.
* Removed dialogentry, it was not necessary when the dispatcher is gone.
* Maybe hopefully finally solved the startup crashes.

2005-08-09 - paskharen
* Fixed a bug in the user list code (thanks obi)

2005-08-07 - paskharen
* Added menubar (thanks s4kk3)
* Added a custom atomic.h (only x86 but that's easy to fix, just copy from qt =)
  (thanks Rikard Björklind)
* Log messages are now shown in main statusbar
  (patch #000518, thanks clairvoyant)

2005-08-04 - paskharen
* The scons file now checks for the right g++ version (thanks s4kk3)

2005-07-23 - paskharen
* The scons file now imports enviroment variables from the os, should find headers and libs
  a lot better now (bug #004490, thanks azatoth)
* Complete hub name now shown in tooltip on the notebook flap (thanks s4kk3)
* Added context menu to transfer list (patch from phase?)

2005-06-29 - paskharen
* Fixed some crashes at startup

2005-06-25 - paskharen
* Added finished uploads and downloads (thanks s4kk3)
* Added more info to nick list (thanks luusl)
* Replaced some windows newlines with unix ditto in some files

2005-05-25 - paskharen
* Fixed Gtk warnings on startup (thanks Ixan)
* Added automatic sorting to sharebrowser (thanks Ixan)

2005-05-25 - paskharen
* Added some tweaks to the glade files (thanks Ixan)

2005-05-25 - phase
* Fixed the bug where you couldn't hash files larger than 2gb (thanks obi)

2005-05-23 - phase
* Fixed the Download Queue (thanks s4kk3)

2005-05-21 - paskharen
* Made filelists download to the right folder (thanks s4kk3)

2005-05-17 - paskharen
* Fixed some cases of misaligned rows in transfer view, not sure if all are gone
* Tried fixing the deadlock when closing a notebook flap, hard to verify as working though
* Made padding more consistent in the gui

2005-05-01 - paskharen
* Updated to core version 0.674
* Fixed some problems with active mode port selection (MainWindow::startSocket)

2005-04-06 - paskharen
* Added tab completion for nicks (thanks s4kk3)
* Fixed unicode conversion when downloading to a directory in sharbrowser (also from s4kk3)
* Fixed a segfault when the hub asks for a password (thanks Trent Lloyd)

2005-02-27 - paskharen
* New and improved publichubs with context menu and stuff.
* Added separate connect dialog to connect to a hub by address.
* Fixed double click in share browser.
* Fixed unicode problems in transferview.
* Code cleanup in mainwindow.

2005-02-23 - phase
* Added multiple selections to Download Queue and Search.
* Fixed a separator related bug.

2005-02-22 - phase
* Added Streams.h and MerkleCheckOutputStream.h from DC++-cvs, because those
were missing.

2005-02-20 - paskharen
* Added grant slot in user menu in hub.
* Changed to client 0.670.

2005-02-18 - phase
* Fixed some things with the Hash-dialog.

2005-02-16 - phase
* Added Changelog again :)
* Added all the settings (except User Commands), though, we haven't added all the features that the settings have to offer yet.
* The Hash progress is now working.
* Added some settings:
	* Confirm application exit
	* Set Download Queue tab bold when an entry is added
	* Confirm favorite hub removal
	* Clear search box after each search
	* Open the public hubs window at startup
	* Open the download queue window at startup
	* Open the favorite hubs window at startup
